package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 题库
type Bank struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name       string             `bson:"name,omitempty" json:"name,omitempty"`
	Desc       string             `bson:"desc,omitempty" json:"desc,omitempty"`
	State      int                `bson:"state,omitempty" json:"state,omitempty"` //-1 禁用 1 正常
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime,omitempty"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime,omitempty"`
}
