package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 用户
type User struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	LoginName  string             `bson:"loginName,omitempty" json:"loginName,omitempty"`
	Password   string             `bson:"password,omitempty" json:"password,omitempty"`
	Name       string             `bson:"name,omitempty" json:"name,omitempty"`
	Role       string             `bson:"role,omitempty" json:"role,omitempty"` // admin student teacher
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime,omitempty"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime,omitempty"`
	State      int32              `bson:"state,omitempty" json:"state,omitempty"` //-1 禁用 1 正常
}
